Subject: bug#45648: `dd` seek/skip which way is up?

From: Pádraig Brady <[email-masked]>
Date: Thu, 24 Feb 2022 13:18:11 +0000

On 22/02/2022 17:12, Paul Eggert wrote:
> On 1/4/21 20:08, Paul Eggert wrote:
>> On 1/4/21 7:44 PM, Bela Lubkin wrote:
>>> TLDR: *huge* existing presence of 'iseek' and 'oseek'; most OSes document
>>> them as pure synonyms for 'skip' and 'seek'.
>>
>> Thanks for doing all that research. It's compelling, and I think your
>> patch (or something like it) should go in. I'll wait for a bit to hear
>> other opinions.
> 
> After thinking about the patch a bit more, let's omit the part about
> adding new conversions iseek_bytes etc., as I think there's a better way
> to address that issue. I proposed something in <https://bugs.gnu.org/54112>.
> 
> So instead of your patch, I installed the attached patches. The first
> one adds the iseek and oseek operands that you suggested; the second one
> clarifies dd documentation, as I found several things were confusing
> when rereading it carefully. Something like these patches should appear
> in the next coreutils release.

+1

The aliases are useful.
I always remembered it like skIp for Input,
but that is awkward.

As for the overlap in solaris with disabling reading,
I think that would be better as a flag, like "seek_only",
if deemed useful.

thanks,
Pádraig